<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <link href="../style/steps.css" rel="stylesheet">
    <link href='https://fonts.googleapis.com/css?family=Roboto' rel='stylesheet'>
    <title>Wykonanie testów</title>
</head>
<body>
<div class="rule-container">
    <div class="row">
        <div class="rule-number">6</div>
        <div class="rule-header">Wykonanie testów</div>
    </div>
    <div class="rule-text-animation-container">
        <div class="rule-text"><p>Zadania związane z projektowaniem i implementacją testów są często łączone. Etapy
            projektowania i
            implementacji testów mogą być realizowane i dokumentowane w ramach wykonywania testów — zwłaszcza w
            przypadku testowania eksploracyjnego oraz innych typów testowania opartego na doświadczeniu. Testowanie
            eksploracyjne może odbywać się na podstawie testów, uruchamiane są zestawy testowe, zgodnie z
            harmonogramem wykonania testów.</p>
            <p>Główne czynności przeprowadzane w ramach wykonywania testów to:</p>
            <ul>
                <li>zarejestrowanie danych identyfikacyjnych i wersji elementów testowych bądź przedmiotu testów,
                    narzędzi testowych i testaliów;
                </li>
                <li>wykonywanie testów ręcznie lub przy użyciu narzędzi do wykonywania testów;</li>
                <li>porównanie rzeczywistych wyników testów z oczekiwanymi;</li>
                <li>przeanalizowanie anomalii w celu ustalenia ich prawdopodobnych przyczyn (np. awarie mogą być
                    wynikiem defektów w kodzie, ale mogą się pojawić również wyniki fałszywie pozytywne);
                </li>
                <li>raportowanie defektów oparte na obserwowanych awariach;</li>
                <li>zarejestrowanie (zalogowanie) wyniku wykonania testów (np. zaliczenie, niezaliczenie, test
                    blokujący);
                </li>
                <li>powtórzenie czynności testowych w wyniku działań podjętych w związku z wystąpieniem anomalii
                    albo w
                    ramach zaplanowanego testowania (np. testowania potwierdzającego, wykonywania poprawionego testu
                    i/lub
                    testowania regresji)
                </li>
                <li>zweryfikowanie i zaktualizowanie możliwości dwukierunkowego śledzenia powiązań między podstawą
                    testów, warunkami testowymi, przypadkami testowymi, procedurami testowymi i wynikami testów.
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>
